CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] ThirdParty-3.0.x

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree2Likes
  • 1 Post By Tobi
  • 1 Post By wyldckat

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   June 5, 2016, 06:02
Default ThirdParty-3.0.x
  #1
Super Moderator
 
Tobi's Avatar
 
Tobias Holzmann
Join Date: Oct 2010
Location: Augsburg
Posts: 2,595
Blog Entries: 6
Rep Power: 47
Tobi has a spectacular aura aboutTobi has a spectacular aura aboutTobi has a spectacular aura about
Send a message via ICQ to Tobi Send a message via Skype™ to Tobi
Dear all,

compiling OpenFoam-3.0.x lead to a problem with ptScotch. The first error:

Code:
Build Scotch decomposition library scotch_6.0.3
    /home/shorty/OpenFOAM/ThirdParty-3.0.x/platforms/linux64GccInt32/scotch_6.0.3
+ cd scotch_6.0.3/src
/home/shorty/OpenFOAM/ThirdParty-3.0.x/Allwmake: 203: cd: can't cd to scotch_6.0.3/src
+ exit 1
and finally during the build:
Code:
could not open file ptscotch.h for source file ptscotchDecomp.C due to No such file or directory
g++ -m64 -Dlinux64 -DWM_ARCH_OPTION=64 -DWM_DP -DWM_LABEL_SIZE=32 -Wall -Wextra -Wold-style-cast -Wnon-virtual-dtor -Wno-unused-parameter -Wno-invalid-offsetof -O3 -mtune=bdver1 -march=bdver1  -DNoRepository -ftemplate-depth-100 -DOMPI_SKIP_MPICXX -I/usr/lib/openmpi/include -I/usr/lib/openmpi/include/openmpi -pthread -I/include -I/home/shorty/OpenFOAM/ThirdParty-3.0.x/platforms/linux64GccInt32/scotch_6.0.3/include/openmpi-system -I/usr/include/scotch -I../decompositionMethods/lnInclude -IlnInclude -I. -I/home/shorty/OpenFOAM/OpenFOAM-3.0.x/src/OpenFOAM/lnInclude -I/home/shorty/OpenFOAM/OpenFOAM-3.0.x/src/OSspecific/POSIX/lnInclude   -fPIC -c ptscotchDecomp.C -o /home/shorty/OpenFOAM/OpenFOAM-3.0.x/platforms/linux64GccDPInt32OptSYSTEMOPENMPI/src/parallel/decompose/ptscotchDecomp/ptscotchDecomp.o
ptscotchDecomp.C:126:26: fatal error: ptscotch.h: No such file or directory
     #include "ptscotch.h"
                          ^
I checked the sources and found out that the ThirdParty-3.0.x do not have the Paraview4 and ptScotch folder included (like for example in the ThirdParty-dev).

So I just want to ask why it is like that? Finally I decided to compile the development repository. I am not sure if there is just something wrong with the initialization of the repository. Hence, I just wanted to report this and inform other people who are not so familiar with the compiling procedure.
arianam likes this.
__________________
Keep foaming,
Tobias Holzmann
Tobi is offline   Reply With Quote

Old   June 17, 2016, 09:34
Default
  #2
New Member
 
mohsen ari.
Join Date: Apr 2013
Posts: 12
Rep Power: 10
arianam is on a distinguished road
Hi Tobias,
I have the same problem installing that on Centos. It is strange because this problem with ptscotchDecomp did not exist one month ago. I saw that you had already reported it. Please let us know if you find the solution.
Best,
M. Ariana
arianam is offline   Reply With Quote

Old   June 18, 2016, 16:28
Default
  #3
Retired Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,962
Blog Entries: 45
Rep Power: 125
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Quick answers:
Quote:
Originally Posted by Tobi View Post
I checked the sources and found out that the ThirdParty-3.0.x do not have the Paraview4 and ptScotch folder included (like for example in the ThirdParty-dev).
Two details:
  1. You should have read the big README.org file that is shown at the front-page of the repository: https://github.com/OpenFOAM/ThirdParty-3.0.x/ - where it states the packages that need to be downloaded.
  2. All of the instructions provided at this wiki page tell you in detail which packages to download: https://openfoamwiki.net/index.php/I...M-3.0.x/Ubuntu

Quote:
Originally Posted by Tobi View Post
So I just want to ask why it is like that?
Read Henry's comments here: http://bugs.openfoam.org/view.php?id=2098
Tobi likes this.
wyldckat is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[OpenFOAM.org] Is it necessary compile ThirdParty? gu1 OpenFOAM Installation 1 May 27, 2017 06:37
[foam-extend.org] paraview not runing? (foam extended 3.2 and ubuntu 15.04) Milan2013 OpenFOAM Installation 23 April 20, 2017 05:49
[OpenFOAM.org] ThirdParty packet download script for OpenFOAM 3.0.x and dev zordiack OpenFOAM Installation 1 January 26, 2016 08:52
[foam-extend.org] problem when installing foam-extend-1.6 Thomas pan OpenFOAM Installation 7 September 9, 2015 21:53
OF 1.6 ext on Ubuntu 12.10 (64 bit) compilation errors dreamilam OpenFOAM Installation 7 April 21, 2013 05:43


All times are GMT -4. The time now is 15:34.